Subject: Zope fails on large task?
From: Dave Whiteley <[email-masked]>
To: [email-masked]
Date: Wed, 18 Jan 2006 17:03:46 +0000

I have a quite complicated data collection and reporting system based on
zope2.7 and postgresql.  All the postgresql stuff is handled by external
scripts.  I have used page templates throughout.  It is running on a
Debian Sarge based system, and uses Apache as a front end.  

 This is my first experience developing with Zope, so I have probably
done things oddly, but...

I have script that generates a large bundle of data dictionary for each
"target entity", which is in this case is a person.  I then pass this
data to a script that converts it to XML.  My template repeats over a
list of people, and concatenates and sends the XML for them all to the
user, where a bit of XSLT creates a paged report.     

It works for a few people.  If I try too many people it fails with an
   Error reading from remote server
message from the Apache.

I cannot find any hints in the apache or zope logs.  I have tried to
monitor the server to see if any resources are running out, but have not
found anything. 

Can anyone suggest how I try to diagnose this failure. 

I repeat, I am fairly new to Zope, and so need fairly basic help.

Dave